/*
 * FCKeditor - The text editor for Internet - http://www.fckeditor.net
 * Copyright (C) 2003-2007 Frederico Caldeira Knabben
 *
 * == BEGIN LICENSE ==
 *
 * Licensed under the terms of any of the following licenses at your
 * choice:
 *
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 *
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 *
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 *
 * == END LICENSE ==
 *
 * Active selection functions.
 */

var FCKSelection = FCK.Selection = 
{
	GetSelectionRange : function()
	{
		if ( FCK.EditMode != FCK_EDITMODE_WYSIWYG )
			return null ;
		if ( ! ( this._SelectionRange && this._SelectionRange.Window == FCK.EditorWindow ) )
			this._SelectionRange = new FCKDomRange( FCK.EditorWindow ) ;
		this._SelectionRange.MoveToSelection() ;
		return this._SelectionRange ;
	},

	GetSelectionTerminals : function()
	{
		var range = this.GetSelectionRange() ;
		return range.GetTerminalNodes() ;
	}
};
